
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>学习PHP精粹，编写高效PHP代码之质量保证 / iVAN</title>

    <meta name="description" content="学习PHP精粹，编写高效PHP代码之质量保证 一.使用静态分析工具测量质量   我们用静态分析测量代码而不运行它.实际上,我们将这些工具用于评估代码.读取文件.衡量它所写的要素.使用这些工具,可以帮助我们对代码库有一个完整的层次化的认识,甚至在代码库变得更大.更复杂的时候也能掌握.   静态分析工具是项目过程中的一个关键组成部分,但是,只有定期使用它们,并以理想的方式进行每一次提交,静态分析工具才真正显示出价值.这些工具涵盖了代码的所有方面,从计数类和计算行数,到识别哪里有提示使用复制和粘贴的类似代码段.然后我们来看看静态分析工具在代码质量">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">学习PHP精粹，编写高效PHP代码之质量保证</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、使用静态分析工具测量质量<br />
 <br />
我们用静态分析测量代码而不运行它。实际上，我们将这些工具用于评估代码、读取文件、衡量它所写的要素。使用这些工具，可以帮助我们对代码库有一个完整的层次化的认识，甚至在代码库变得更大、更复杂的时候也能掌握。<br />
 <br />
静态分析工具是项目过程中的一个关键组成部分，但是，只有定期使用它们，并以理想的方式进行每一次提交，静态分析工具才真正显示出价值。这些工具涵盖了代码的所有方面，从计数类和计算行数，到识别哪里有提示使用复制和粘贴的类似代码段。然后我们来看看静态分析工具在代码质量中两个特别关键的问题上如何帮助我们：编码标准和文档。<br />
 <br />
1、phploc<br />
 <br />
 <br />
PHP代码行（phploc）可能并不是一个非常有趣的静态分析工具，但它确实给了我们一些有趣的信息，特别是随着时间的推移当我们反复运行它的时候。phploc提供项目拓扑结构以及尺寸的相关信息。<br />
 <br />
例如测试一个标准的WordPress版本，我们只需使用如下命令：<br />
 <br />
$ phploc wordpress<br />
2、phpcpd<br />
 <br />
 <br />
 <br />
PHP复制粘贴器（phpcpd）看起来是一个在代码中寻找类似模式的工具，我们使用它是为了在代码库中识别代码在何处被复制或粘贴。这是常规构建过程中的一个非常有用的工具，但是从输出中获得正确的编号会让项目与项目有所不同。<br />
 <br />
同样，如果我们测试WordPress，可以使用下面的命令：<br />
 <br />
$ phpcpd wordpress<br />
 <br />
 <br />
3、phpmd<br />
 <br />
 <br />
PHP项目消息探测器（phpmd）是一个试图量化所谓开发老手所说的“代码发出的气味”的工具。它使用一系列指标寻找似乎失衡的项目元素。该工具生成大量的输出，其中大部分都是好的建议，下面是一个要求phpmd在WordPress中检查命名混乱的命令：<br />
 <br />
$ phpmd wordpress/  text naming<br />
 <br />
 <br />
二、编码标准<br />
 <br />
编码标准是一个在很多开发团队中引起激烈争论的话题，既然缩进和使用空格并未影响代码的运行，那为什么我们要创建格式化的规则并且严格遵守呢？事实上，当我们已经习惯于某个编码风格，而且代码以我们期望的方式排列时，它会变得更加容易阅读。但是，在实际开发过程中，很容易忘记规则，所以需要工具区检查所有的代码。<br />
 <br />
1、使用PHP代码探测器检查编码标准<br />
 <br />
 <br />
 <br />
首先，你需要在服务器上安装这个工具。无论它在开发机器还是开发服务器上，这完全取决于你所拥有的可用资源。<br />
 <br />
安装后，就可以使用下面的命令测试代码了：<br />
 <br />
phpcs --standard=PEAR robot.php<br />
 <br />
 <br />
2、查看违反编码标准的地方<br />
 <br />
PHP代码探测器有几个非常重要的报表样式，你可以用它们看着所用代码库的“重点”、我们将这些以详细报表的同样方式输出到屏幕上，它们也可以生成其他格式。<br />
 <br />
要生成一个汇总报表，只需这样做：<br />
 <br />
phpcs --standard=PEAR --report=summary *<br />
3、查看PHP代码探测器标准<br />
 <br />
有几个编码标准是PHP代码探测器默认运行的，你可以生成或设置任何自己的标准。若想看到有哪些可用的标准，你可以运行具有-i开关的phpcs。<br />
 <br />
$ phpcs -i<br />
 <br />
 <br />
三、文档和代码<br />
 <br />
使用phpDocumentor将注释转换为文档。<br />
 <br />
 <br />
例如：<br />
 <br />
phpdoc -t docs -o HTML:Smarty:PHP -d .<br />
四、源代码管理<br />
 <br />
常用源代码管理工具：<br />
 <br />
 <br />
 <br />
五、自动部署<br />
 <br />
 <br />
Phing 是一个基于Apache ANT 的项目构建系统。Phing使用基于XML的配置，默认保存在一个名为build.xml的文件中。<br />
 <br />
我们给这个项目命令，并定义一系列属于这个项目的任务，还可以指定哪些任务被默认运行，都可以通过Phing进行配置。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:56:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e5%85%b7/" title="工具">工具</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e5%87%86/" title="标准">标准</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81/" title="静态">静态</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>, <a href="https://www.iamivan.net/tag/phpmd/" title="phpmd">phpmd</a>, <a href="https://www.iamivan.net/tag/php%e4%bb%a3%e7%a0%81%e8%b4%a8%e9%87%8f/" title="php代码质量">php代码质量</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81%e4%bb%a3%e7%a0%81%e6%a3%80%e6%9f%a5/" title="静态代码检查">静态代码检查</a>, <a href="https://www.iamivan.net/tag/%e7%b2%be%e7%b2%b9/" title="精粹">精粹</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e8%a8%80%e7%b2%be%e7%b2%b9/" title="语言精粹">语言精粹</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>学习PHP精粹，编写高效PHP代码之质量保证的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLg1L5M.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;2&period;8节数据库&mdash;排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.8 数据库-排序 在本章,我们全面讲述了与PHP开发者息息相关的数据库主题.了解了PDO扩展并利用它在你的应用程序中建立稳定高效的代码. 除PHP外,我们还研究了一连串的数据库技术,这些技术以不同的方式在表中建立SQL查询.我们还使用索引,设计了经受住时间和可扩展性考验的数据库架构.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmlPkz.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;3&period;3节数据格式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.3 数据格式 在许多方面,Web服务仅仅只是一个网页,它提供机器可读的内容,而不是人类可读的内容.我们与其在一个浏览器的HTML网页标记标签,不如返回内容到JSON或XML中(我们马上将论及上述内容). 健壮性Web服务的强大特征之一便是它的设计可使其以不同的格式返回信息.因此,如果一个服务消费者更喜欢另一种数据格式,它可以轻易请求到最好的格式.这表明,当我们创建的服务公开后,解释请求和构成响应的方式是独立于代码中其他部分的. 接下来的两节将详细讲解JSON和XML,并举例说明如何以这种方式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3BJvz.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;1&period;7节异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.7 异常 异常(exception)是一个处理错误的面向对象方法.一些PHP扩展像往常一样仍会报错:很多最新的扩展(例如PDO)将代替抛出异常.异常也是对象,而且Exception是PHP的一个内置类.一个Exception对象将包含发生错误的位置(文件名或代码行).一条错误消息和(可选)一个错误代码等信息. 1.7.1 处理异常 首先我们看看如何处理可能会抛出异常的函数.我们会使用一个PDO示例,因为PDO扩展抛出异常.在这里代码会试图创建一个数据库连接,但是会失败,因为nonsense主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RZYDz.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;1&period;2节OOP简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 OOP简介 开始冒险吧!在理论知识方面,我们会结合代码示例来讲解,这让你更容易看懂代码的实际意义. 1.2.1 声明类 类相当于蓝图,是表明如何创建对象的一组指令.它还不是一个对象,而仅仅是对象的一个描述.在Web应用程序中,用类来表示各种实体.下面是一个可能用于电子商务应用程序中的Courier类: 以上代码表明了如何声明类,可以将Courier类保存在一个名为courier.php的文件中.这个文件的命名方法是需要牢记的一个要点,其重要性在1.3节中会详细阐述,我们会讲解当需要时如何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBg1mJM.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;1&period;8节更多神奇的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.8 更多神奇的方法 本章已介绍了一些神奇方法.在表1.1中快速回顾一下这些方法. 当在一个类中定义这些函数时,可以定义当这些事件发生时会引发什么.没有这些函数的话,类将显现为默认行为,而这些常常都是需要的.PHP另外还有一些神奇方法,在本节中我们将看到一些使用最频繁的方法. 1.8.1 使用__call()和__callStatic()方法 在关于访问修饰符的内容里,我们看到,对于__get()和__set()方法而言,__call()方法是一个天生的搭档.使用__get()和__set()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p58OGnM.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;3&period;4节HTTP：超文本传输协议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.4 HTTP:超文本传输协议HTTP(HyperText Transfer Protocol)是通过导线来传送Web请求和响应的数据传输格式.它包含了很多请求和响应的元数据,除了这些请求或响应的实体之外,我们也可以利用它来使用Web服务.我们也将看到其他的协议,例如XML-RPC和SOAP,它们也都是建立在HTTP基础上的.当我们在本章快结尾构建RESTful服务时,便可以广泛使用HTTP的功能了.当我们开发一个简单的Web应用程序时,可能不会那么重视HTTP.但是如果你想了解缓存.不同文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RYYjz.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;2&period;4节PHP数据库对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 PHP数据库对象 如果之前你使用过PHP和MySQL,你可能用过mysql或mysqli类库连接到数据库,如使用mysql_connect()函数.多年来,这是连接到MySQL数据库的标准方式,并且对于其他数据库平台也使用同样的方式. 这些类库可以直接使用,并形成了无数PHP应用程序类库和框架的基础.这种方式的缺点是每个扩展都与其他稍有不同,因此使得代码在数据库平台之间轻松转移变得复杂.虽然这些数据库特定类库依然活跃并且运转良好,但是本章中仍将专注讲解更先进的PDO扩展.创建的PDO扩展			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RYYvb.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;2&period;6节处理PDO中的错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 处理PDO中的错误 当你刚开始使用PDO时,它的某个方面是令人惊讶或让人沮丧的(视你的态度而定),即当它出现问题时,并不总是显而易见的.当我们第一次连接到数据库时,就会看到一个失败的连接会导致抛出一个异常.这里有一个提醒的代码: 一般来说,当某些引人注目的事情发生时PDO会抛出异常,但是如果你的查询由于某些原因而未能运行时,你也不必为此大惊小怪.这表明我们要仔细检查一切是否按照我们所预期的那样运行. 让我们复习一下迄今为止所学到的相关内容,看看我们如何对出现的问题进行识别和反应. 2.5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pke77Ob.html" rel="bookmark">《PHP精粹：编写高效PHP代码》&mdash;&mdash;2&period;6节高级PDO特征</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 高级PDO特征 我们已经看到PDO功能构成了以数据库驱动的PHP应用程序的主体.然而, PDO还有几个锦囊妙计需要我们好好研究.下面两节将显示我们如何利用数据库的事务,以及如何在PHP代码中调用存储过程. 2.6.1 事务和PDO 在数据库术语中事务(transaction)是一组必须执行的语句的集合.这组语句要么必须全部顺利完成,要么一个也不运行.不是所有的数据库都支持事务,有些支持,有些不支持,有些经过配置以后才会支持.对于MySQL,有些表的类型难以获得事务支持. 如果数据库不支持			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZGYbn.html" rel="bookmark" class="title">Swift语法专题十二&mdash;&mdash;方法</a>
					<div>
						Swift讲解专题十二--方法 一.引言         方法只是一个术语,其实就是将函数与特定的类型结合,类.结构体.枚举都可以定义方法,方法又分为实例方法和类型方法,类型方法类似于Objectiv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAGwKz.html" rel="bookmark" class="title">DedeCMS投票模块漏洞解决方法</a>
					<div>
						  DedeCMS投票模块有朋友反映投票主题的选项经常被sql注入删除,经过iOS100知识库查看代码发现投票模块代码没有对sql参数进行转换,导致不法分子sql注入.只要讲addslashes()改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr9Wxb.html" rel="bookmark" class="title">Access 2007教程</a>
					<div>
						Access 2007表的数据表视图和设计视图 如何为Access 2007的快速访问工具栏添加更多命令 如何向Access 2007快速访问工具栏添加或删除命令 如何把Access 2007的快速访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKKA6p.html" rel="bookmark" class="title">ASP&period;NET AJAX入门系列（1）：概述</a>
					<div>
						经常关注我的Blog的朋友可能注意到了,在我Blog的左边系列文章中,已经移除了对Atlas学习手记系列文章的推荐,因为随着ASP.NET AJAX 1.0 Beta版的发布,它们已经不再适用,为了不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRQLqz.html" rel="bookmark" class="title">Ip san 存储的配制</a>
					<div>
						Ip-san 的配制 共享存储方式 1.Das直接附加存储(直接连接到主机) 2.Nas网络附加存储(提供共享机制nfs samba) --Windows 共享 cifs 简化操作系统 nfscifs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKE43M.html" rel="bookmark" class="title">xen虚拟化实战系列&lpar;六&rpar; xen虚拟机破解密码</a>
					<div>
						破解xen密码,初学xen当时觉得不好实现,总认为xen字符界面,不像图形界面一样出现grub菜单. xen虚拟化平台xm一个命令参数-c可以解决这个问题,可以出现字符界面grub菜单,本文只介绍一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOKdBb.html" rel="bookmark" class="title">一起学WINS系列（四）伙伴、复制</a>
					<div>
						为了提供更好的访问性能,尤其是用当WINS客户端较多时候,我们推荐大家在网络中配置2台或者2台 以上的WINS服务器,今天我们要讨论的话题就是多台WINS服务器数据库复制的问题.我们知道WINS复制有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOPokM.html" rel="bookmark" class="title">SQL Server占用内存的解决方法</a>
					<div>
						经常有网友会问,SQL Server占用了太多的内存,而且还会不断的增长;或者说已经设置了使用内存,可它没有用到那么多,这是怎么一回事儿呢? 下面,我们来具体看以看SQL Server是怎样使用内存的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnBjQz.html" rel="bookmark" class="title">浅谈水墨写意摄影的N种后期方法</a>
					<div>
						  水墨写意画&quot;书贵于意,表而非形&quot;.水墨写意摄影也崇尚脱离现实,讲究飘逸虚缈的笔墨趣味,追求形似神似的自我艺术境界. 作为一种独特的艺术形式,将水墨写意引入摄影肯定是跨界的艺术行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOxo8M.html" rel="bookmark" class="title">jQuery页面的滚动位置scrollTop、scrollLeft</a>
					<div>
						  Web页面常常比显示该页面的浏览器窗口还要大,因为Web文档具有很多内容,往往会导致页面比浏览器还要高,有时候甚至还要宽,这迫使访问者通过滚动来查看整个页面(如图10-8所示).当访问者滚动页面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1vPmz.html" rel="bookmark" class="title">Win7系统页面崩溃怎么办？</a>
					<div>
						  Win7系统页面崩溃怎么办? 1.打开IE浏览器,进入主界面点击右上角[工具]选项,在下拉菜单栏中选择[Internet选项]. 2.进入Internet属性对话框,进入[常规]选项下,点击[删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwBj8z.html" rel="bookmark" class="title">PowerPoint巧妙确定圆心的技巧</a>
					<div>
						  很多朋友在PowerPoint 中画圆并演示时,会发现确定圆心不是一件很容易的事,有些人只是凭观察在&quot;圆心&quot;处画一个圆点代替,这样在播放时可能会发生圆心偏离严重的情况.其实我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGl51b.html" rel="bookmark" class="title">win7系统设置中如何删除＂网络位置＂</a>
					<div>
						  所谓&quot;网络位置&quot;指的是网络入口,我们的网络从哪里进入的意思.这样说相信大家应该能理解.大家有没注意到,我们在第一次使用网络时会收到提示信息,让你选择&quot;家庭网络&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYEXZM.html" rel="bookmark" class="title">在Win7旗舰版电脑中开启最高权限的方法</a>
					<div>
						  1.首先,需要返回到win7旗舰版电脑的桌面位置,之后,找到桌面的计算机图标,右键点击这个计算机图标,然后在出现的下滑菜单中,选择管理选项. 2.这样就可以打开win7旗舰版电脑的计算机管理界面了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd1Q6M.html" rel="bookmark" class="title">电脑待机密码怎么设置</a>
					<div>
						  在添加待机密码之前,我们需要给电脑用户加个密码.我们点击&quot;开始&quot;菜单,找到&quot;控制面板&quot;选项,然后点击&quot;用户帐户&quot;选项,这里面有我们创建的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGXaap.html" rel="bookmark" class="title">独立显卡笔记本电脑发热量大么</a>
					<div>
						  问题分析处理:针对这样的问题,网上有很多专业的评测报告,小编可以在这里借鉴一下,和大家讲解一下这个问题,首先这种问题被很多忽视,根据资料说明有很多独显是由于采用了较强的GeForce GT 130 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkPR5b.html" rel="bookmark" class="title">Swift 中的函数（下）</a>
					<div>
						学习来自&lt;极客学院:Swift中的函数&gt; 工具:Xcode6.4 直接上基础的示例代码,多敲多体会就会有收获:百看不如一敲,一敲就会 1 import Foundation 2 3 /** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrm88M.html" rel="bookmark" class="title">ios-在objectiveC中两个类的协议</a>
					<div>
						问题描述 在objectiveC中两个类的协议 应用中有两个类都要执行protocol协议 能不能在一个类中执行另一个类的协议,然后再反过来执行? 会不会引起错误? 解决方案 主要问题是循环依赖,你可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE6qkp.html" rel="bookmark" class="title">C语言实现某年某月某日是某年的第几天</a>
					<div>
						看到这个标题,想实现这样的功能其实挺简单的,用C语言的switch语句加上闰年,平年条件的判断,再加上一定的逻辑可以轻松实现这样的函数,在linux内核中,存在判断闰年平年的接口,我将它移植出来后,写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRXOdz.html" rel="bookmark" class="title">RHCE 系列（四）： 使用 Shell 脚本自动化 Linux 系统维护任务</a>
					<div>
						之前我听说高效的系统管理员的一个特点是懒惰.一开始看起来很矛盾,但作者接下来解释了其中的原因: RHCE 系列:第四部分 - 自动化 Linux 系统维护任务 如果一个系统管理员花费大量的时间解决问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgGZab.html" rel="bookmark" class="title">教你三招解决网站&OpenCurlyDoubleQuote;排名瓶颈&rdquo;问题</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于网站&quot;排名瓶颈&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r0V3p.html" rel="bookmark" class="title">关于EC2上的ami的kernel</a>
					<div>
						EC2上,我使用的rightscale的AMI为centos5的V1版本,该版本的kernel版本为2.6.16. 可以使用下面的方法升级到2.6.18. 因为,amazon允许在启动的时候选择ker ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRPgkp.html" rel="bookmark" class="title">剑指offer 面试题6&mdash;重建二叉树</a>
					<div>
						题目描述: 输入某二叉树的前序遍历和中序遍历的结果,请重建出该二叉树.假设输入的前序遍历和中序遍历的结果中都不含重复的数字.例如输入前序遍历序列{1,2,4,7,3,5,6,8}和中序遍历序列{4,7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x7Rkb.html" rel="bookmark" class="title">c-看看  哪错了</a>
					<div>
						问题描述 看看 哪错了 我想做的是,把一个字符串,从第n个开始输出 解决方案 scanf(&quot;%d&quot;,&amp;n); 解决方案二: 你们看看这个程序怎么就错了???我哪里错了?我错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRydrp.html" rel="bookmark" class="title">传统企业线上加速</a>
					<div>
						1月6日消息,据亿邦动力网2012年电商景气调查报告显示,传统企业电商业务正在以高于纯电商企业发展的速度快速增长,多家大型传统企业反馈称,2012年公司电商业务翻倍增长,甚至最高的达到了5倍增长. 受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW8rKz.html" rel="bookmark" class="title">华宇软件1&period;35亿元并购同行 切入华东电子政务市场</a>
					<div>
						自6月26日起停牌的华宇软件今日(300271,前收盘价40.30元)发布定增预案,拟以发行股票加现金支付的方式,作价1.35亿收购上海浦东中软科技发展有限公司 (以下简称浦东中软)90.185%的股 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV66az.html" rel="bookmark" class="title">私募元老杨骏因病去世</a>
					<div>
						本报讯 记者昨日获悉,私募界元老级人物---晓扬投资董事长.原君安证券总裁杨骏昨日下午因病去世,终年44岁. 昨日,在国泰君安的中期策略会上,一条消息悄然在参会者手机上传播---杨骏刚刚去世了.在稍微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOndA5p.html" rel="bookmark" class="title">android开发教程之开机启动服务service示例&lowbar;Android</a>
					<div>
						个例子实现的功能是:1,安装程序后看的一个Activity程序界面,里面有个按钮,点击按钮就会启动一个Service服务,此时在设置程序管理里面会看的有个Activity和一个Service服务运行2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkXVkM.html" rel="bookmark" class="title">详解安卓系统中的Android&period;mk文件&lowbar;C 语言</a>
					<div>
						概述    Android.mk文件用来向编译系统描述如何编译你的源代码.更确切地说,该文件其实就是一个小型的Makefile.由于该文件会被NDK的编译工具解析多次,因此应该尽量减少源码中声明变量, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GXRyp.html" rel="bookmark" class="title">新建-这个该怎么操作，能否详细点</a>
					<div>
						问题描述 这个该怎么操作,能否详细点 解决方案 名称不能有中文字符,还有下面的调试器要选择mingw qt版本选你当前的版本 解决方案二: Cornerstone详细操作--------------- ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
